
Foreman - Bug #37341

All hosts page can not be rendered

04/10/2024 05:40 PM - Bernhard Suttner

Status: Ready For Testing   

Priority: Normal   

Assignee: Bernhard Suttner   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/10122

  

Description

2024-04-10T18:40:13 [W|app|29898f9e] Safemode doesn't allow to access 'crash_me' on #<Safemode::ScopeObject>

2024-04-10T18:40:13 [I|app|29898f9e] Backtrace for 'Safemode doesn't allow to access 'crash_me' on #<Safemode::ScopeObject>'

error (ActionView::Template::Error): Safemode doesn't allow to access 'crash_me' on #<Safemode::ScopeObject>

29898f9e | /usr/share/gems/gems/safemode-1.3.8/lib/safemode/scope.rb:39:in `method_missing'

29898f9e | Unnamed:53:in `initialize'

29898f9e | /usr/share/gems/gems/safemode-1.3.8/lib/safemode.rb:52:in `eval'

29898f9e | /usr/share/gems/gems/safemode-1.3.8/lib/safemode.rb:52:in `eval'

29898f9e | /usr/share/foreman/app/services/foreman/renderer/safe_mode_renderer.rb:7:in `render'

29898f9e | /usr/share/foreman/app/services/foreman/renderer/base_renderer.rb:18:in `render'

29898f9e | /usr/share/foreman/app/services/foreman/renderer.rb:46:in `render'

29898f9e | /usr/share/foreman/app/services/parameter_safe_render.rb:43:in `render_string'

29898f9e | /usr/share/foreman/app/services/parameter_safe_render.rb:27:in `render_object'

29898f9e | /usr/share/foreman/app/services/parameter_safe_render.rb:31:in `block in render_object'

29898f9e | /usr/share/foreman/app/services/parameter_safe_render.rb:31:in `merge'

29898f9e | /usr/share/foreman/app/services/parameter_safe_render.rb:31:in `render_object'

29898f9e | /usr/share/foreman/app/services/parameter_safe_render.rb:12:in `render'

29898f9e | /usr/share/foreman/app/models/concerns/host_params.rb:65:in `host_params'

29898f9e | /usr/share/foreman/app/models/concerns/host_params.rb:11:in `params'

29898f9e | /usr/share/foreman/app/models/host_status/configuration_status.rb:30:in `reported_origin_interval'

29898f9e | /usr/share/foreman/app/models/host_status/configuration_status.rb:25:in `expected_report_interval'

29898f9e | /usr/share/foreman/app/models/host_status/configuration_status.rb:20:in `out_of_sync?'

29898f9e | /usr/share/foreman/app/models/host_status/configuration_status.rb:49:in `to_global'

29898f9e | /usr/share/foreman/app/models/host_status/global.rb:20:in `block in build'

29898f9e | /usr/share/foreman/app/models/host_status/global.rb:20:in `map'

29898f9e | /usr/share/foreman/app/models/host_status/global.rb:20:in `build'

History

#1 - 04/10/2024 05:44 PM - Bernhard Suttner

To reproduce:

- create a global / OS / organization or host parameter. Name: "foo" Value: "<%= crash_me %>"

- Go to the All hosts page

#2 - 04/10/2024 05:48 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Bernhard Suttner

- Pull request https://github.com/theforeman/foreman/pull/10122 added
